Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network75.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
75.0.0.0
Broadcast address
75.255.255.255
First usable
75.0.0.1
Last usable
75.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 4B000000 · Integer 1258291200 to 1275068415
Reverse DNS zone
75.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001011..00000000.00000000.0000000075.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01001011..00000000.00000000.0000000075.0.0.0
Broadcast01001011..11111111.11111111.1111111175.255.255.255
Split into smaller subnets/18

75.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
175.0.0.0/1875.0.0.1 to 75.0.63.25475.0.63.25516,382
275.0.64.0/1875.0.64.1 to 75.0.127.25475.0.127.25516,382
375.0.128.0/1875.0.128.1 to 75.0.191.25475.0.191.25516,382
475.0.192.0/1875.0.192.1 to 75.0.255.25475.0.255.25516,382
575.1.0.0/1875.1.0.1 to 75.1.63.25475.1.63.25516,382
675.1.64.0/1875.1.64.1 to 75.1.127.25475.1.127.25516,382
775.1.128.0/1875.1.128.1 to 75.1.191.25475.1.191.25516,382
875.1.192.0/1875.1.192.1 to 75.1.255.25475.1.255.25516,382
975.2.0.0/1875.2.0.1 to 75.2.63.25475.2.63.25516,382
1075.2.64.0/1875.2.64.1 to 75.2.127.25475.2.127.25516,382
1175.2.128.0/1875.2.128.1 to 75.2.191.25475.2.191.25516,382
1275.2.192.0/1875.2.192.1 to 75.2.255.25475.2.255.25516,382
1375.3.0.0/1875.3.0.1 to 75.3.63.25475.3.63.25516,382
1475.3.64.0/1875.3.64.1 to 75.3.127.25475.3.127.25516,382
1575.3.128.0/1875.3.128.1 to 75.3.191.25475.3.191.25516,382
1675.3.192.0/1875.3.192.1 to 75.3.255.25475.3.255.25516,382
1775.4.0.0/1875.4.0.1 to 75.4.63.25475.4.63.25516,382
1875.4.64.0/1875.4.64.1 to 75.4.127.25475.4.127.25516,382
1975.4.128.0/1875.4.128.1 to 75.4.191.25475.4.191.25516,382
2075.4.192.0/1875.4.192.1 to 75.4.255.25475.4.255.25516,382
2175.5.0.0/1875.5.0.1 to 75.5.63.25475.5.63.25516,382
2275.5.64.0/1875.5.64.1 to 75.5.127.25475.5.127.25516,382
2375.5.128.0/1875.5.128.1 to 75.5.191.25475.5.191.25516,382
2475.5.192.0/1875.5.192.1 to 75.5.255.25475.5.255.25516,382
2575.6.0.0/1875.6.0.1 to 75.6.63.25475.6.63.25516,382
2675.6.64.0/1875.6.64.1 to 75.6.127.25475.6.127.25516,382
2775.6.128.0/1875.6.128.1 to 75.6.191.25475.6.191.25516,382
2875.6.192.0/1875.6.192.1 to 75.6.255.25475.6.255.25516,382
2975.7.0.0/1875.7.0.1 to 75.7.63.25475.7.63.25516,382
3075.7.64.0/1875.7.64.1 to 75.7.127.25475.7.127.25516,382
3175.7.128.0/1875.7.128.1 to 75.7.191.25475.7.191.25516,382
3275.7.192.0/1875.7.192.1 to 75.7.255.25475.7.255.25516,382
3375.8.0.0/1875.8.0.1 to 75.8.63.25475.8.63.25516,382
3475.8.64.0/1875.8.64.1 to 75.8.127.25475.8.127.25516,382
3575.8.128.0/1875.8.128.1 to 75.8.191.25475.8.191.25516,382
3675.8.192.0/1875.8.192.1 to 75.8.255.25475.8.255.25516,382
3775.9.0.0/1875.9.0.1 to 75.9.63.25475.9.63.25516,382
3875.9.64.0/1875.9.64.1 to 75.9.127.25475.9.127.25516,382
3975.9.128.0/1875.9.128.1 to 75.9.191.25475.9.191.25516,382
4075.9.192.0/1875.9.192.1 to 75.9.255.25475.9.255.25516,382
4175.10.0.0/1875.10.0.1 to 75.10.63.25475.10.63.25516,382
4275.10.64.0/1875.10.64.1 to 75.10.127.25475.10.127.25516,382
4375.10.128.0/1875.10.128.1 to 75.10.191.25475.10.191.25516,382
4475.10.192.0/1875.10.192.1 to 75.10.255.25475.10.255.25516,382
4575.11.0.0/1875.11.0.1 to 75.11.63.25475.11.63.25516,382
4675.11.64.0/1875.11.64.1 to 75.11.127.25475.11.127.25516,382
4775.11.128.0/1875.11.128.1 to 75.11.191.25475.11.191.25516,382
4875.11.192.0/1875.11.192.1 to 75.11.255.25475.11.255.25516,382
4975.12.0.0/1875.12.0.1 to 75.12.63.25475.12.63.25516,382
5075.12.64.0/1875.12.64.1 to 75.12.127.25475.12.127.25516,382
5175.12.128.0/1875.12.128.1 to 75.12.191.25475.12.191.25516,382
5275.12.192.0/1875.12.192.1 to 75.12.255.25475.12.255.25516,382
5375.13.0.0/1875.13.0.1 to 75.13.63.25475.13.63.25516,382
5475.13.64.0/1875.13.64.1 to 75.13.127.25475.13.127.25516,382
5575.13.128.0/1875.13.128.1 to 75.13.191.25475.13.191.25516,382
5675.13.192.0/1875.13.192.1 to 75.13.255.25475.13.255.25516,382
5775.14.0.0/1875.14.0.1 to 75.14.63.25475.14.63.25516,382
5875.14.64.0/1875.14.64.1 to 75.14.127.25475.14.127.25516,382
5975.14.128.0/1875.14.128.1 to 75.14.191.25475.14.191.25516,382
6075.14.192.0/1875.14.192.1 to 75.14.255.25475.14.255.25516,382
6175.15.0.0/1875.15.0.1 to 75.15.63.25475.15.63.25516,382
6275.15.64.0/1875.15.64.1 to 75.15.127.25475.15.127.25516,382
6375.15.128.0/1875.15.128.1 to 75.15.191.25475.15.191.25516,382
6475.15.192.0/1875.15.192.1 to 75.15.255.25475.15.255.25516,382
6575.16.0.0/1875.16.0.1 to 75.16.63.25475.16.63.25516,382
6675.16.64.0/1875.16.64.1 to 75.16.127.25475.16.127.25516,382
6775.16.128.0/1875.16.128.1 to 75.16.191.25475.16.191.25516,382
6875.16.192.0/1875.16.192.1 to 75.16.255.25475.16.255.25516,382
6975.17.0.0/1875.17.0.1 to 75.17.63.25475.17.63.25516,382
7075.17.64.0/1875.17.64.1 to 75.17.127.25475.17.127.25516,382
7175.17.128.0/1875.17.128.1 to 75.17.191.25475.17.191.25516,382
7275.17.192.0/1875.17.192.1 to 75.17.255.25475.17.255.25516,382
7375.18.0.0/1875.18.0.1 to 75.18.63.25475.18.63.25516,382
7475.18.64.0/1875.18.64.1 to 75.18.127.25475.18.127.25516,382
7575.18.128.0/1875.18.128.1 to 75.18.191.25475.18.191.25516,382
7675.18.192.0/1875.18.192.1 to 75.18.255.25475.18.255.25516,382
7775.19.0.0/1875.19.0.1 to 75.19.63.25475.19.63.25516,382
7875.19.64.0/1875.19.64.1 to 75.19.127.25475.19.127.25516,382
7975.19.128.0/1875.19.128.1 to 75.19.191.25475.19.191.25516,382
8075.19.192.0/1875.19.192.1 to 75.19.255.25475.19.255.25516,382
8175.20.0.0/1875.20.0.1 to 75.20.63.25475.20.63.25516,382
8275.20.64.0/1875.20.64.1 to 75.20.127.25475.20.127.25516,382
8375.20.128.0/1875.20.128.1 to 75.20.191.25475.20.191.25516,382
8475.20.192.0/1875.20.192.1 to 75.20.255.25475.20.255.25516,382
8575.21.0.0/1875.21.0.1 to 75.21.63.25475.21.63.25516,382
8675.21.64.0/1875.21.64.1 to 75.21.127.25475.21.127.25516,382
8775.21.128.0/1875.21.128.1 to 75.21.191.25475.21.191.25516,382
8875.21.192.0/1875.21.192.1 to 75.21.255.25475.21.255.25516,382
8975.22.0.0/1875.22.0.1 to 75.22.63.25475.22.63.25516,382
9075.22.64.0/1875.22.64.1 to 75.22.127.25475.22.127.25516,382
9175.22.128.0/1875.22.128.1 to 75.22.191.25475.22.191.25516,382
9275.22.192.0/1875.22.192.1 to 75.22.255.25475.22.255.25516,382
9375.23.0.0/1875.23.0.1 to 75.23.63.25475.23.63.25516,382
9475.23.64.0/1875.23.64.1 to 75.23.127.25475.23.127.25516,382
9575.23.128.0/1875.23.128.1 to 75.23.191.25475.23.191.25516,382
9675.23.192.0/1875.23.192.1 to 75.23.255.25475.23.255.25516,382
9775.24.0.0/1875.24.0.1 to 75.24.63.25475.24.63.25516,382
9875.24.64.0/1875.24.64.1 to 75.24.127.25475.24.127.25516,382
9975.24.128.0/1875.24.128.1 to 75.24.191.25475.24.191.25516,382
10075.24.192.0/1875.24.192.1 to 75.24.255.25475.24.255.25516,382
10175.25.0.0/1875.25.0.1 to 75.25.63.25475.25.63.25516,382
10275.25.64.0/1875.25.64.1 to 75.25.127.25475.25.127.25516,382
10375.25.128.0/1875.25.128.1 to 75.25.191.25475.25.191.25516,382
10475.25.192.0/1875.25.192.1 to 75.25.255.25475.25.255.25516,382
10575.26.0.0/1875.26.0.1 to 75.26.63.25475.26.63.25516,382
10675.26.64.0/1875.26.64.1 to 75.26.127.25475.26.127.25516,382
10775.26.128.0/1875.26.128.1 to 75.26.191.25475.26.191.25516,382
10875.26.192.0/1875.26.192.1 to 75.26.255.25475.26.255.25516,382
10975.27.0.0/1875.27.0.1 to 75.27.63.25475.27.63.25516,382
11075.27.64.0/1875.27.64.1 to 75.27.127.25475.27.127.25516,382
11175.27.128.0/1875.27.128.1 to 75.27.191.25475.27.191.25516,382
11275.27.192.0/1875.27.192.1 to 75.27.255.25475.27.255.25516,382
11375.28.0.0/1875.28.0.1 to 75.28.63.25475.28.63.25516,382
11475.28.64.0/1875.28.64.1 to 75.28.127.25475.28.127.25516,382
11575.28.128.0/1875.28.128.1 to 75.28.191.25475.28.191.25516,382
11675.28.192.0/1875.28.192.1 to 75.28.255.25475.28.255.25516,382
11775.29.0.0/1875.29.0.1 to 75.29.63.25475.29.63.25516,382
11875.29.64.0/1875.29.64.1 to 75.29.127.25475.29.127.25516,382
11975.29.128.0/1875.29.128.1 to 75.29.191.25475.29.191.25516,382
12075.29.192.0/1875.29.192.1 to 75.29.255.25475.29.255.25516,382
12175.30.0.0/1875.30.0.1 to 75.30.63.25475.30.63.25516,382
12275.30.64.0/1875.30.64.1 to 75.30.127.25475.30.127.25516,382
12375.30.128.0/1875.30.128.1 to 75.30.191.25475.30.191.25516,382
12475.30.192.0/1875.30.192.1 to 75.30.255.25475.30.255.25516,382
12575.31.0.0/1875.31.0.1 to 75.31.63.25475.31.63.25516,382
12675.31.64.0/1875.31.64.1 to 75.31.127.25475.31.127.25516,382
12775.31.128.0/1875.31.128.1 to 75.31.191.25475.31.191.25516,382
12875.31.192.0/1875.31.192.1 to 75.31.255.25475.31.255.25516,382
12975.32.0.0/1875.32.0.1 to 75.32.63.25475.32.63.25516,382
13075.32.64.0/1875.32.64.1 to 75.32.127.25475.32.127.25516,382
13175.32.128.0/1875.32.128.1 to 75.32.191.25475.32.191.25516,382
13275.32.192.0/1875.32.192.1 to 75.32.255.25475.32.255.25516,382
13375.33.0.0/1875.33.0.1 to 75.33.63.25475.33.63.25516,382
13475.33.64.0/1875.33.64.1 to 75.33.127.25475.33.127.25516,382
13575.33.128.0/1875.33.128.1 to 75.33.191.25475.33.191.25516,382
13675.33.192.0/1875.33.192.1 to 75.33.255.25475.33.255.25516,382
13775.34.0.0/1875.34.0.1 to 75.34.63.25475.34.63.25516,382
13875.34.64.0/1875.34.64.1 to 75.34.127.25475.34.127.25516,382
13975.34.128.0/1875.34.128.1 to 75.34.191.25475.34.191.25516,382
14075.34.192.0/1875.34.192.1 to 75.34.255.25475.34.255.25516,382
14175.35.0.0/1875.35.0.1 to 75.35.63.25475.35.63.25516,382
14275.35.64.0/1875.35.64.1 to 75.35.127.25475.35.127.25516,382
14375.35.128.0/1875.35.128.1 to 75.35.191.25475.35.191.25516,382
14475.35.192.0/1875.35.192.1 to 75.35.255.25475.35.255.25516,382
14575.36.0.0/1875.36.0.1 to 75.36.63.25475.36.63.25516,382
14675.36.64.0/1875.36.64.1 to 75.36.127.25475.36.127.25516,382
14775.36.128.0/1875.36.128.1 to 75.36.191.25475.36.191.25516,382
14875.36.192.0/1875.36.192.1 to 75.36.255.25475.36.255.25516,382
14975.37.0.0/1875.37.0.1 to 75.37.63.25475.37.63.25516,382
15075.37.64.0/1875.37.64.1 to 75.37.127.25475.37.127.25516,382
15175.37.128.0/1875.37.128.1 to 75.37.191.25475.37.191.25516,382
15275.37.192.0/1875.37.192.1 to 75.37.255.25475.37.255.25516,382
15375.38.0.0/1875.38.0.1 to 75.38.63.25475.38.63.25516,382
15475.38.64.0/1875.38.64.1 to 75.38.127.25475.38.127.25516,382
15575.38.128.0/1875.38.128.1 to 75.38.191.25475.38.191.25516,382
15675.38.192.0/1875.38.192.1 to 75.38.255.25475.38.255.25516,382
15775.39.0.0/1875.39.0.1 to 75.39.63.25475.39.63.25516,382
15875.39.64.0/1875.39.64.1 to 75.39.127.25475.39.127.25516,382
15975.39.128.0/1875.39.128.1 to 75.39.191.25475.39.191.25516,382
16075.39.192.0/1875.39.192.1 to 75.39.255.25475.39.255.25516,382
16175.40.0.0/1875.40.0.1 to 75.40.63.25475.40.63.25516,382
16275.40.64.0/1875.40.64.1 to 75.40.127.25475.40.127.25516,382
16375.40.128.0/1875.40.128.1 to 75.40.191.25475.40.191.25516,382
16475.40.192.0/1875.40.192.1 to 75.40.255.25475.40.255.25516,382
16575.41.0.0/1875.41.0.1 to 75.41.63.25475.41.63.25516,382
16675.41.64.0/1875.41.64.1 to 75.41.127.25475.41.127.25516,382
16775.41.128.0/1875.41.128.1 to 75.41.191.25475.41.191.25516,382
16875.41.192.0/1875.41.192.1 to 75.41.255.25475.41.255.25516,382
16975.42.0.0/1875.42.0.1 to 75.42.63.25475.42.63.25516,382
17075.42.64.0/1875.42.64.1 to 75.42.127.25475.42.127.25516,382
17175.42.128.0/1875.42.128.1 to 75.42.191.25475.42.191.25516,382
17275.42.192.0/1875.42.192.1 to 75.42.255.25475.42.255.25516,382
17375.43.0.0/1875.43.0.1 to 75.43.63.25475.43.63.25516,382
17475.43.64.0/1875.43.64.1 to 75.43.127.25475.43.127.25516,382
17575.43.128.0/1875.43.128.1 to 75.43.191.25475.43.191.25516,382
17675.43.192.0/1875.43.192.1 to 75.43.255.25475.43.255.25516,382
17775.44.0.0/1875.44.0.1 to 75.44.63.25475.44.63.25516,382
17875.44.64.0/1875.44.64.1 to 75.44.127.25475.44.127.25516,382
17975.44.128.0/1875.44.128.1 to 75.44.191.25475.44.191.25516,382
18075.44.192.0/1875.44.192.1 to 75.44.255.25475.44.255.25516,382
18175.45.0.0/1875.45.0.1 to 75.45.63.25475.45.63.25516,382
18275.45.64.0/1875.45.64.1 to 75.45.127.25475.45.127.25516,382
18375.45.128.0/1875.45.128.1 to 75.45.191.25475.45.191.25516,382
18475.45.192.0/1875.45.192.1 to 75.45.255.25475.45.255.25516,382
18575.46.0.0/1875.46.0.1 to 75.46.63.25475.46.63.25516,382
18675.46.64.0/1875.46.64.1 to 75.46.127.25475.46.127.25516,382
18775.46.128.0/1875.46.128.1 to 75.46.191.25475.46.191.25516,382
18875.46.192.0/1875.46.192.1 to 75.46.255.25475.46.255.25516,382
18975.47.0.0/1875.47.0.1 to 75.47.63.25475.47.63.25516,382
19075.47.64.0/1875.47.64.1 to 75.47.127.25475.47.127.25516,382
19175.47.128.0/1875.47.128.1 to 75.47.191.25475.47.191.25516,382
19275.47.192.0/1875.47.192.1 to 75.47.255.25475.47.255.25516,382
19375.48.0.0/1875.48.0.1 to 75.48.63.25475.48.63.25516,382
19475.48.64.0/1875.48.64.1 to 75.48.127.25475.48.127.25516,382
19575.48.128.0/1875.48.128.1 to 75.48.191.25475.48.191.25516,382
19675.48.192.0/1875.48.192.1 to 75.48.255.25475.48.255.25516,382
19775.49.0.0/1875.49.0.1 to 75.49.63.25475.49.63.25516,382
19875.49.64.0/1875.49.64.1 to 75.49.127.25475.49.127.25516,382
19975.49.128.0/1875.49.128.1 to 75.49.191.25475.49.191.25516,382
20075.49.192.0/1875.49.192.1 to 75.49.255.25475.49.255.25516,382
20175.50.0.0/1875.50.0.1 to 75.50.63.25475.50.63.25516,382
20275.50.64.0/1875.50.64.1 to 75.50.127.25475.50.127.25516,382
20375.50.128.0/1875.50.128.1 to 75.50.191.25475.50.191.25516,382
20475.50.192.0/1875.50.192.1 to 75.50.255.25475.50.255.25516,382
20575.51.0.0/1875.51.0.1 to 75.51.63.25475.51.63.25516,382
20675.51.64.0/1875.51.64.1 to 75.51.127.25475.51.127.25516,382
20775.51.128.0/1875.51.128.1 to 75.51.191.25475.51.191.25516,382
20875.51.192.0/1875.51.192.1 to 75.51.255.25475.51.255.25516,382
20975.52.0.0/1875.52.0.1 to 75.52.63.25475.52.63.25516,382
21075.52.64.0/1875.52.64.1 to 75.52.127.25475.52.127.25516,382
21175.52.128.0/1875.52.128.1 to 75.52.191.25475.52.191.25516,382
21275.52.192.0/1875.52.192.1 to 75.52.255.25475.52.255.25516,382
21375.53.0.0/1875.53.0.1 to 75.53.63.25475.53.63.25516,382
21475.53.64.0/1875.53.64.1 to 75.53.127.25475.53.127.25516,382
21575.53.128.0/1875.53.128.1 to 75.53.191.25475.53.191.25516,382
21675.53.192.0/1875.53.192.1 to 75.53.255.25475.53.255.25516,382
21775.54.0.0/1875.54.0.1 to 75.54.63.25475.54.63.25516,382
21875.54.64.0/1875.54.64.1 to 75.54.127.25475.54.127.25516,382
21975.54.128.0/1875.54.128.1 to 75.54.191.25475.54.191.25516,382
22075.54.192.0/1875.54.192.1 to 75.54.255.25475.54.255.25516,382
22175.55.0.0/1875.55.0.1 to 75.55.63.25475.55.63.25516,382
22275.55.64.0/1875.55.64.1 to 75.55.127.25475.55.127.25516,382
22375.55.128.0/1875.55.128.1 to 75.55.191.25475.55.191.25516,382
22475.55.192.0/1875.55.192.1 to 75.55.255.25475.55.255.25516,382
22575.56.0.0/1875.56.0.1 to 75.56.63.25475.56.63.25516,382
22675.56.64.0/1875.56.64.1 to 75.56.127.25475.56.127.25516,382
22775.56.128.0/1875.56.128.1 to 75.56.191.25475.56.191.25516,382
22875.56.192.0/1875.56.192.1 to 75.56.255.25475.56.255.25516,382
22975.57.0.0/1875.57.0.1 to 75.57.63.25475.57.63.25516,382
23075.57.64.0/1875.57.64.1 to 75.57.127.25475.57.127.25516,382
23175.57.128.0/1875.57.128.1 to 75.57.191.25475.57.191.25516,382
23275.57.192.0/1875.57.192.1 to 75.57.255.25475.57.255.25516,382
23375.58.0.0/1875.58.0.1 to 75.58.63.25475.58.63.25516,382
23475.58.64.0/1875.58.64.1 to 75.58.127.25475.58.127.25516,382
23575.58.128.0/1875.58.128.1 to 75.58.191.25475.58.191.25516,382
23675.58.192.0/1875.58.192.1 to 75.58.255.25475.58.255.25516,382
23775.59.0.0/1875.59.0.1 to 75.59.63.25475.59.63.25516,382
23875.59.64.0/1875.59.64.1 to 75.59.127.25475.59.127.25516,382
23975.59.128.0/1875.59.128.1 to 75.59.191.25475.59.191.25516,382
24075.59.192.0/1875.59.192.1 to 75.59.255.25475.59.255.25516,382
24175.60.0.0/1875.60.0.1 to 75.60.63.25475.60.63.25516,382
24275.60.64.0/1875.60.64.1 to 75.60.127.25475.60.127.25516,382
24375.60.128.0/1875.60.128.1 to 75.60.191.25475.60.191.25516,382
24475.60.192.0/1875.60.192.1 to 75.60.255.25475.60.255.25516,382
24575.61.0.0/1875.61.0.1 to 75.61.63.25475.61.63.25516,382
24675.61.64.0/1875.61.64.1 to 75.61.127.25475.61.127.25516,382
24775.61.128.0/1875.61.128.1 to 75.61.191.25475.61.191.25516,382
24875.61.192.0/1875.61.192.1 to 75.61.255.25475.61.255.25516,382
24975.62.0.0/1875.62.0.1 to 75.62.63.25475.62.63.25516,382
25075.62.64.0/1875.62.64.1 to 75.62.127.25475.62.127.25516,382
25175.62.128.0/1875.62.128.1 to 75.62.191.25475.62.191.25516,382
25275.62.192.0/1875.62.192.1 to 75.62.255.25475.62.255.25516,382
25375.63.0.0/1875.63.0.1 to 75.63.63.25475.63.63.25516,382
25475.63.64.0/1875.63.64.1 to 75.63.127.25475.63.127.25516,382
25575.63.128.0/1875.63.128.1 to 75.63.191.25475.63.191.25516,382
25675.63.192.0/1875.63.192.1 to 75.63.255.25475.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses